<div class="container">
  <h2>Mi Cuenta</h2>
  <br>
  <div class="row">
    <div class="form-group col-md-4 d-grid">
      <button (click)="toggleProf()" type="button" class="btn btn-link link-dark text-decoration-none">
        <i class="bi bi-person"></i><span> Perfil</span>
      </button>
      <div *ngIf="dprof" class="tab-line"></div>
    </div>
    <div class="form-group col-md-4 d-grid">
      <button (click)="toggleCont()" type="button" class="btn btn-link link-dark text-decoration-none">
        <i class="bi bi-geo-alt"></i><span> Contact</span>
      </button>
      <div *ngIf="dcont" class="tab-line"></div>
    </div>
    <div class="form-group col-md-4 d-grid">
      <button (click)="togglePay()" type="button" class="btn btn-link link-dark text-decoration-none">
        <i class="bi bi-credit-card-2-back"></i><span> Método de pago</span></button>
        <div *ngIf="dpay" class="tab-line"></div>
    </div>
  </div>
  <br>
  <form [formGroup]="profileForm" action="">
    <div *ngIf="dprof" class="">
      <div class="row gx-4 gy-3" formGroupName="people">
        <div class="col-sm-6">
          <label for="" class="form-label">Nombres</label>
          <input formControlName="nameUser" type="text" class="form-control">
        </div>
        <div class="col-sm-6">
          <label for="" class="form-label">Apellidos</label>
          <input formControlName="lastName" type="text" class="form-control">
        </div>
        <div class="col-sm-6">
          <label for="" class="form-label">Documento (D.N.I.)</label>
          <input formControlName="dni" type="text" class="form-control">
        </div>
        <div class="col-sm-6">
          <label for="" class="form-label">F. de nacimiento</label>
          <input formControlName="birth" type="date" class="form-control">
        </div>
        <div class="col-sm-6">
          <label for="" class="form-label">Sexo
          </label>
          <div class="form-check">
            <input class="form-check-input" type="radio" formControlName="gender" id="rbtHombre" value="H">
            <label class="form-check-label" for="rbtHombre">
              Hombre
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" formControlName="gender" id="rbtMujer" value="M"
              checked>
            <label class="form-check-label" for="rbtMujer">
              Mujer
            </label>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="dcont" class="" id='_contact' name="divContact">
      <div class="row gx-4 gy-3">
        <div class="col-sm-6">
          <label for="" class="form-label">Correo electrónico</label>
          <input formControlName="email" type="mail" class="form-control">
        </div>
        <div class="col-sm-6">
          <div class="row">
            <div class="col-sm-6">
              <label for="" class="form-label">Contrasena</label>
              <input formControlName="password1" type="password" class="form-control">
            </div>
            <div class="col-sm-6">
              <label for="" class="form-label">Repetir contrasena</label>
              <input formControlName="password2" type="password" class="form-control">
            </div>
          </div>
        </div>
        <div class="col-sm-6">
          <label for="" class="form-label">Teléfono</label>
          <input formControlName="phone" type="text" class="form-control">
        </div>
        <div class="col-sm-6">
          <label for="" class="form-label">Distrito</label>
          <select formControlName="district" id="" class="form-select">
            <option [ngValue]="null" disabled>--Selecciona tu distrito--</option>
            <option *ngFor="let opt of districts" [ngValue]="opt">{{opt}}</option>
          </select>
        </div>
        <div class="col-sm-12">
          <label for="" class="form-label">Dirección</label>
          <input formControlName="address" type="text" class="form-control">
        </div>
        <div class="col-sm-12">
          <label for="" class="form-label">Referencia</label>
          <input formControlName="ref" type="text" class="form-control">
        </div>
      </div>
    </div>
      <div *ngIf="dpay" class="" id='_payment'  name="divContact" >
      <h4>Not implemented jet</h4>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Eligendi architecto eaque laboriosam iusto asperiores
        delectus esse sequi facere, nesciunt saepe natus, illo quos voluptatem ducimus, reiciendis at optio animi
        suscipit similique incidunt dolor voluptas? Tempore dolore veniam amet dolorem voluptatem dolor. Quidem,
        delectus praesentium non repellendus quo fugit iusto, ut voluptas atque sunt labore itaque soluta vel similique
        maxime numquam laborum minus? Minima deleniti debitis numquam ipsum quas illum corrupti nobis repellendus quam
        eius labore eaque eos neque cum itaque praesentium, amet vero excepturi impedit ipsa modi nostrum. Recusandae
        unde architecto dolore, in soluta vero laboriosam animi a amet dicta?</p>
    </div>
    <div class="col-12">
      <hr class="mt-2 mb-4">
      <div *ngIf="errorsms" class="alert alert-danger" role="alert">
        <label formControlName="errorMessage" for=""></label>
      </div>
      <div class="d-sm-flex justify-content-between align-items-center">
        <div class="form-check">
          <input type="checkbox" class="form-check-input" id="mailer">
          <label for="mailer" class="form-check-label">Deseo recibir notificaciones de este sitio.</label>
        </div>
        <div class="form-check">
          <input type="checkbox" class="form-check-input" id="terms" required>
          <label for="terms" class="form-check-label">Acepto los términos y condiciones.</label>
        </div>
        <button (click)="onSubmit()" class="btn btn-primary mt-3 mt-sm-0">Guardar cambios</button>
      </div>
    </div>
  </form>
<p>
  {{profileForm.value | json}}
  <br>
  {{profileForm.valid}}
</p>

</div>

<script>
  // function displayPayment(){
  //   document.getElementById('_payment').style.display='block';
  // }
</script>
